## Compal service Compal service — Support for the Compal service. |

## Functions

MbimMessage * | mbim_message_compal_at_command_query_new ()
gboolean | mbim_message_compal_at_command_response_parse ()

## Description

This section implements support for requests, responses and notifications in the Compal service.

## Functions

### mbim_message_compal_at_command_query_new ()

    MbimMessage *
    mbim_message_compal_at_command_query_new
                                   (const guint32 command_req_size,
                                    const guint8 *command_req,
                                    GError **error);

Create a new request for the 'AT Command' query command in the 'Compal' service.

#### Parameters

command_req_size | size of the command_req array. | [in]
command_req | the 'CommandReq' field, given as an array of guint8 values. | [in][element-type guint8][array length=command_req_size]
error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

Since: 1.32

### mbim_message_compal_at_command_response_parse ()

    gboolean
    mbim_message_compal_at_command_response_parse
                                   (const MbimMessage *message,
                                    guint32 *out_command_resp_size,
                                    const guint8 **out_command_resp,
                                    GError **error);

Parses and returns parameters of the 'AT Command' response command in the 'Compal' service.

#### Parameters

message | the MbimMessage. |
out_command_resp_size | return location for the size of the command_resp array. | [out][optional]
out_command_resp | return location for an array of guint8 values. Do not free the returned value, it is owned by `message` . | [out][optional][transfer none][element-type guint8][array length=out_command_resp_size]
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

Since: 1.32